List settlements

GET
/v1/merchants/{merchantId}/settlements

Authorization

apiKey
headerApi-Key<token>

Partner API key.

Path Parameters

merchantId*string

Response Body

Settlements list

application/json
  1. response
fiat*array<||>

Fiat settlement configurations attached to the merchant.

crypto*array<>

Crypto settlement destinations attached to the merchant.

curl -X GET 'https://api.merchant.pay.walletconnect.com/v1/merchants/string/settlements'
{  "fiat": [    {      "id": "fiat_Bk4nWp8XmQj2YrTv6",      "status": "active",      "kybStatus": "approved",      "kybUrl": null,      "bankType": "ACH",      "bankName": "Chase",      "bankCountry": "US",      "accountHolderName": "Acme Corp Inc",      "routingNumber": "021000021",      "accountLast4": "6789"    }  ],  "crypto": [    {      "id": "crypto_Xk7nWp8XmQj2YrTv6",      "asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",      "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678",      "networkName": "Base",      "networkLogoUrl": "https://api.walletconnect.com/assets/v1/image/network/eip155%3A8453/md"    }  ]}